GFGROUP(1)

NAME
gfgroup - Gfarm group maintenance command

SYNOPSIS

gfgroup [-P path] [-l] [group...]

gfgroup [-P path] -c groupname [user...]

gfgroup [-P path] [-a] [-r] -m groupname [user...]

gfgroup [-P path] -d groupname

DESCRIPTION

gfgroup manages Gfarm groups in Gfarm file system. Default action displays all registered groups. When group names are specified, specified groups are displayed. Gfarm administrator can creates, modifies, and deletes a Gfarm group by -c, -m, and -d options, respectively.

OPTIONS

-P path
    This option specifies a pathname or a Gfarm URL to identify a metadata server which will be accessed by this command. If not specified, "/" is used as the default value.

-l
    Displays group names and the group members.

-c
    Creates a group in Gfarm file system by specifying a group name and initial group members. This option can be used by Gfarm administrators.

-m
    Replaces all group members of the existing group. This option can be used by Gfarm administrators.

-a
    Adds group members to the existing group. This option is only available with -m option. This option can be used by Gfarm administrators.

-r
    Removes group members from the existing group. This option is only available with -m option. This option can be used by Gfarm administrators.

-d
    Deletes a group. This option can be used by Gfarm administrators.

-?
    Displays a list of command options.

SEE ALSO

gfuser(1)